Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.audit
Class LogSnippet

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.audit.LogSnippet

    public class LogSnippet

extends java.lang.Object

long long firstSeq byte extInfoLen [extInfo follows] hash baseHash --entry begin-- // 1 or more of these entries follow char type char sizeCode // 0=hashed, 1-FD=size, FE=32-bit size follows, FF=16-bit size follows {short/int size} char content[] char nextSeqCode // 0=+1, 1=(idx=0,us+=1), 2=(idx=0,us+=2), ..., FF=full seq [does not exist for the last one] {long long seq} --entry end--

Author:
  Jeff Hoye

Field Summary
`java.util.List<SnippetEntry>` | `entries`

Constructor Summary
`LogSnippet(byte[] baseHash, java.util.List<SnippetEntry> entries)`
`LogSnippet(InputBuffer buf, int hashSize)`

Method Summary
`boolean` | `checkHashChainContains(byte[] keyNodeHash, long keyNodeSeq, HashProvider transport, Logger logger)`
`boolean` | `equals(java.lang.Object o)`
`byte[]` | `getBaseHash()`
`java.lang.Object` | `getExtInfo()`
`long` | `getFirstSeq()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entries

    public java.util.List<SnippetEntry> entries

Constructor Detail

### LogSnippet

    public LogSnippet(byte[] baseHash,
                      java.util.List<SnippetEntry> entries)

### LogSnippet

    public LogSnippet(InputBuffer buf,
                      int hashSize)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBaseHash

    public byte[] getBaseHash()

### getFirstSeq

    public long getFirstSeq()

### getExtInfo

    public java.lang.Object getExtInfo()

### checkHashChainContains

    public boolean checkHashChainContains(byte[] keyNodeHash,
                                          long keyNodeSeq,
                                          HashProvider transport,
                                          Logger logger)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.